Bug 174388 - wrong dependencies
Summary: wrong dependencies
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sabayon   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE5Target
TreeView+ depends on / blocked
 
Reported: 2005-11-28 19:04 UTC by Matthias Clasen
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: sabayon-2.12.3-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 13:00:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Clasen 2005-11-28 19:04:14 UTC
sabayon-admin requires xorg-x11-Xnest; that package no longer exists, it is now
xorg-x11-server-Xnest

Comment 1 Rahul Sundaram 2005-12-20 12:59:04 UTC
Also xorg-x11-xserver does not exist on the new modular tree. See
http://fedoraproject.org/wiki/Xorg/Modularization for details. I need to do a
demo on this. It would be nice if you can fix this stuff

Comment 2 Alexander Larsson 2006-01-12 15:52:23 UTC
CVS head has the modular Xnest fix.


Comment 3 Mikko Huhtala 2006-03-09 08:26:44 UTC
It still does not work. I updated the system and now have

xorg-x11-server-Xnest-1.0.1-8
sabayon-2.12.3-2
sabayon-admin-2.12.3-2

Whe trying to edit a profile, the Xnest window comes up, but stays black. In the
terminal, I get

Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/sabayon/sessionwindow.py", line 288, in
__session_mapped
    self.session.start (str (self.session_widget.session_window.xid))
  File "/usr/lib/python2.4/site-packages/sabayon/protosession.py", line 474, in
start
    self.__start_session ()
  File "/usr/lib/python2.4/site-packages/sabayon/protosession.py", line 454, in
__start_session
    os.execve (SESSION_ARGV[0], SESSION_ARGV, new_environ)
OSError: [Errno 2] No such file or directory
Xlib: unexpected async reply (sequence 0x23a)!


Comment 4 Alexander Larsson 2006-03-10 09:30:34 UTC
Try again with sabayon-2.12.3-3

Comment 5 Alexander Larsson 2006-08-14 13:00:11 UTC
No comment. Marked fixed.


Note You need to log in before you can comment on or make changes to this bug.